viralquery
API referencev1/workspace

Get the calling tenant's single ViralQuery workspace

GET
/v1/workspace

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspace"
{
  "workspace": {
    "id": "string",
    "subjectType": "app_store",
    "subjectUrl": "http://example.com",
    "canonicalId": "string",
    "name": "string",
    "status": "active",
    "rulesVersion": 0,
    "createdAt": 0,
    "updatedAt": 0
  }
}
{
  "error": "unauthorized",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}